Bug 229027 - devel/ucommon: Fails to build with OpenSSL 1.1
Summary: devel/ucommon: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-14 20:16 UTC by Bernard Spil
Modified: 2020-10-01 18:50 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-14 20:16:52 UTC
> openssl/cipher.cpp:128:19: error: allocation of incomplete type 'EVP_CIPHER_CTX'

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. The intent to update OpenSSL to 1.1 in 12 has now officially been documented in Bug #228912 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/ucommon-7.0.0_2.log
Comment 1 commit-hook freebsd_committer 2018-12-13 06:34:23 UTC
A commit references this bug:

Author: tobik
Date: Thu Dec 13 06:34:19 UTC 2018
New revision: 487347
URL: https://svnweb.freebsd.org/changeset/ports/487347

Log:
  devel/ucommon does not build with OpenSSL 1.1.1

  http://beefy11.nyi.freebsd.org/data/head-i386-default/p485718_s340864/logs/errors/ucommon-7.0.0_3.log

  PR:		229027

Changes:
  head/devel/ucommon/Makefile
Comment 2 commit-hook freebsd_committer 2020-06-30 09:49:54 UTC
A commit references this bug:

Author: danfe
Date: Tue Jun 30 09:49:26 UTC 2020
New revision: 540884
URL: https://svnweb.freebsd.org/changeset/ports/540884

Log:
  Allow to build against contemporary versions of OpenSSL.

  PR:	229027

Changes:
  head/devel/ucommon/Makefile
  head/devel/ucommon/files/patch-openssl_cipher.cpp
  head/devel/ucommon/files/patch-openssl_digest.cpp
  head/devel/ucommon/files/patch-openssl_hmac.cpp
Comment 3 Alexey Dokuchaev freebsd_committer 2020-06-30 09:50:37 UTC
Should be fixed as of ports r540884.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-01 04:50:20 UTC
^Triage: Is the quarterly version affected?
Comment 5 Alexey Dokuchaev freebsd_committer 2020-10-01 18:50:15 UTC
(In reply to Kubilay Kocak from comment #4)
> Is the quarterly version affected?
2020Q4 was branched in ports r550856, closing.